## fenics-ffcx 0.3.0

=== requirements.txt ===
numpy
cffi
-e git+https://github.com/FEniCS/basix.git#egg=basix
-e git+https://github.com/FEniCS/ufl.git#egg=ufl

=== debian/changelog ===
fenics-ffcx (1:0.3.0-3) unstable; urgency=medium

  * refresh debian/copyright against AUTHORS file
    - indicate UFC header and template files as public domain.

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Oct 2021 16:37:34 +0200

fenics-ffcx (1:0.3.0-2) experimental; urgency=medium

  * python3-ffcx Depends: python3-dev.
    Needed for jit/cffi generated code.

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Sep 2021 03:43:38 +0200

fenics-ffcx (1:0.3.0-1) experimental; urgency=medium

  * New upstream release.
    - versioned Build-Depends: python3-ufl (>= 2021.1.0-2~)
      to include ufl.prism
  * build-time tests require Build-Depends: python3-pytest,
    python3-cffi, python3-numpy, python3-pygraphviz, python3-sympy,
    python3-ufl (>= 2021.1.0~), python3-all-dev
  * provide build-time path to ffcx executable script when running
    build-time tests
  * direct dh_clean to remove test/*.[h,c,pdf] test/compile-cache/
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Sep 2021 12:29:34 +0300

fenics-ffcx (1:0.1.0-1) experimental; urgency=medium

  * update source package name to fenics-ffcx
    - update debian/watch
    - update Vcs salsa paths
    - remove upstream/signing-key.asc
      (PGP signature file no longer provided)
  * first official upstream release
    - released as 0.1.0. Raise epoch to 1: to set higher than 2019.2.0
    - Depends: python3-all (>= 3.7), python3-basix (>= 0.1.0~),
      python3-ufl (>= 2021.1.0~)
  * run build-time tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 May 2021 16:12:39 +0200

ffcx (2019.2.0~git20210411.2b30c8d-1) experimental; urgency=medium

  * New upstream snapshot.
    - uses basix with xtl, xtensor, xtensor-blas
      Depends: python3-basix (>= 0.0.1~git20210409.b980196~)
  * drop Depends: python3-fiat

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Apr 2021 19:07:09 +0200

ffcx (2019.2.0~git20210308.bfd391e-1) experimental; urgency=medium

  * New upstream snapshot.
    - replaces FIAT with basix
    - versioned Depends: python3-basix (>= 0.0.1~git20210305.fe8fada~)
  * debian patch make_doc_clean.patch adds clean rule to doc Makefile
    to remove doc/source/_autogenerated and doc/build when cleaning

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Mar 2021 11:22:34 +0100

ffcx (2019.2.0~git20210122.22ca4c0-2) unstable; urgency=medium

  * bring current snapshot to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Feb 2021 20:19:21 +0100

ffcx (2019.2.0~git20210122.22ca4c0-1) experimental; urgency=medium

  * New upstream snapshot.
    - Build-Depends: python3-basix
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Jan 2021 13:56:52 +0100

ffcx (2019.2.0~git20201106.b0c67ad-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Nov 2020 22:56:28 +0800

ffcx (2019.2.0~git20200921.82f9c33-1) unstable; urgency=medium

  * New upstream snapshot.
  * no longer ships lib source dir, so delete
    debian/source/lintian-overrides

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Sep 2020 23:07:05 +0800

ffcx (2019.2.0~git20200723.aed0e1d-1) unstable; urgency=medium

  * New upstream shapshot.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jul 2020 19:40:09 +0800

ffcx (2019.2.0~git20200416.db6793b-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration. 

 -- Boyuan Yang <byang@debian.org>  Tue, 19 May 2020 10:05:43 -0400

ffcx (2019.2.0~git20200416.db6793b-2) unstable; urgency=medium

  * provide documentation in python-ffcx-doc
  * provide manpage fenicsformcompilerx.1 (ffcx.1) in python3-ffcx
  * free Johannes Ring from Uploader duties. Thanks for your good work!

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Apr 2020 00:45:33 +0800

ffcx (2019.2.0~git20200416.db6793b-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 12:07:48 +0800

ffcx (2019.2.0~git20200321.9ba5e24-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Mar 2020 01:14:18 +0800

ffcx (2019.2.0~git20200127.702a93e-1) unstable; urgency=medium

  * New upstream snapshot (next generation FFC-X).
  * Repackage as ffcx to allow parallel installation alongside old ffc.
    Binary package is now python3-ffcx.

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Jan 2020 22:08:55 +0800

ffc (2019.2.0~git20200106.7c19661-1) experimental; urgency=medium

  * New upstream snapshot (ffcx)
    - Depends: python3-cffi
    - drops Depends: python3-dijitso
  * update upstream source repo to https://github.com/FEniCS/ffcx
  * Standards-Version: 4.5.0
  * drop debian patch ufc-include-path.patch. A python2 version is no
    longer provided so no need to provide alternative ufc.h.
    Remove existing alternatives links in preinst.
  * use pytest-3 in debian/tests with Depends: python3-pygraphviz

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Jan 2020 03:59:12 +0800

ffc (2019.1.0.post0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-ffc

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2019 12:38:03 +0800

ffc (2019.1.0.post0-1) experimental; urgency=medium

  * New upstream release.
    - applies v2019.1.patch to fix version in ufc.h

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 20:55:59 +0800

ffc (2019.1.0-1) experimental; urgency=medium

  * New upstream release (official).
  * debhelper 12: Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 10:16:15 +0800

ffc (2019.1.0~git20180828-2) experimental; urgency=medium

  * Debian patch v2019.1.patch bumps version to 2019.1
    (needed in ufc.h when the dolfin version is likewise bumped)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 03:51:41 +0800

ffc (2019.1.0~git20180828-1) experimental; urgency=medium



=== debian/control ===
Source: fenics-ffcx
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all-dev (>= 3.7),
 python3-basix (>= 0.3.0~),
 python3-ufl (>= 2021.1.0-2~),
 python3-pytest,
 python3-cffi,
 python3-numpy,
 python3-pygraphviz,
 python3-sympy,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.0
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics-ffcx.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics-ffcx

Package: python3-ffcx
Architecture: all
Depends:
 python3-cffi,
 python3-dev,
 python3-ufl (>= 2021.1.0~),
 python3-basix (>= 0.3.0~),
 python3-numpy,
 ${python3:Depends},
 ${misc:Depends}
Description: next-gen compiler for finite element variational forms (Python 3)
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and
 efficient evaluation of general multilinear forms (variational
 formulations) for FEniCS. FFC functions as the form evaluation
 system for DOLFIN but can also be used to compile forms for other
 systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C
 or C++) for the evaluation of a multilinear form given in
 mathematical notation. This new approach to form evaluation makes it
 possible to combine generality with efficiency; the form can be given
 in mathematical notation and the generated code is as efficient as
 hand-optimized code.
 .
 This package installs the next-generation FFC-X library for Python 3.

Package: python-ffcx-doc
Architecture: all
Depends: ${sphinxdoc:Depends},
 ${misc:Depends}
Suggests: python3-ffcx
Description: next-gen compiler for finite element variational forms (docs)
 The FEniCS Form Compiler FFC provides state-of-the-art automatic and
 efficient evaluation of general multilinear forms (variational
 formulations) for FEniCS. FFC functions as the form evaluation
 system for DOLFIN but can also be used to compile forms for other
 systems.
 .
 FFC works as a compiler for multilinear forms by generating code (C
 or C++) for the evaluation of a multilinear form given in
 mathematical notation. This new approach to form evaluation makes it
 possible to combine generality with efficiency; the form can be given
 in mathematical notation and the generated code is as efficient as
 hand-optimized code.
 .
 This package installs documentation for the next-generation FFC-X library.

=== debian/tests/control ===
Test-Command: pytest-3
Depends: python3-ffcx,
	 python3-dev,
	 python3-pytest,
	 python3-pip,
	 python3-pybind11,
	 python3-pygraphviz,
	 python3-setuptools,
	 python3-wheel,
	 cmake,
	 libboost-math-dev,
	 @builddeps@

## fenics-ffcx 0.4.2

=== cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(ufcx VERSION 0.4.2 DESCRIPTION "UFCx interface header for finite element kernels"
  LANGUAGES C
  HOMEPAGE_URL https://github.com/fenics/ffcx)
include(GNUInstallDirs)

file(SHA1 ${PROJECT_SOURCE_DIR}/../ffcx/codegeneration/ufcx.h UFCX_HASH)
message("Test hash: ${UFCX_HASH}")

add_library(${PROJECT_NAME} INTERFACE)
add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})
target_include_directories(${PROJECT_NAME}
  INTERFACE $<BUILD_INTERFACE:${${PROJECT_NAME}_SOURCE_DIR}/include>
            $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

# Prepare and install CMake target/config files
install(TARGETS ${PROJECT_NAME}
        EXPORT ${PROJECT_NAME}_Targets
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
include(CMakePackageConfigHelpers)
write_basic_package_version_file("${PROJECT_NAME}ConfigVersion.cmake"
                                 VERSION ${PROJECT_VERSION}
                                 COMPATIBILITY SameMinorVersion)
configure_package_config_file("${PROJECT_NAME}Config.cmake.in" "${PROJECT_NAME}Config.cmake"
  INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake)
install(EXPORT ${PROJECT_NAME}_Targets FILE ${PROJECT_NAME}Targets.cmake
        NAMESPACE ${PROJECT_NAME}::
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake)
install(FILES "${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
              "${PROJECT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake)

# Install header file
install(FILES ${PROJECT_SOURCE_DIR}/../ffcx/codegeneration/ufcx.h TYPE INCLUDE)

# Configure and install pkgconfig file
configure_file(ufcx.pc.in ufcx.pc @ONLY)
install(FILES ${PROJECT_BINARY_DIR}/ufcx.pc DESTINATION ${CMAKE_INSTALL_DATADIR}/pkgconfig)

=== debian/changelog ===
fenics-ffcx (1:0.4.2-2) unstable; urgency=medium

  * push FEniCS-x 0.4 to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Jun 2022 19:09:28 +0200

fenics-ffcx (1:0.4.2-1exp1) experimental; urgency=medium

  * New upstream release.
    - update versioned Depends: python3-ufl (>= 2022.1.0~),
      python3-basix (>= 0.4.1~)
    - ffcx/codegeneration/ufc.h renamed to ufcx.h
      (update debian/copyright)
  * Build-Depends: pybuild-plugin-pyproject (use pyproject.toml)
  * specify test directory for pytest in debian/tests
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Jun 2022 23:27:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all-dev (>= 3.7),
- python3-basix (>= 0.3.0~),
- python3-ufl (>= 2021.1.0-2~),
+ python3-basix (>= 0.4.1~),
+ python3-ufl (>= 2022.1.0~),
  python3-pytest,
  python3-cffi,
  python3-numpy,
@@ -17,7 +18,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics-ffcx.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics-ffcx
@@ -27,8 +28,8 @@
 Depends:
  python3-cffi,
  python3-dev,
- python3-ufl (>= 2021.1.0~),
- python3-basix (>= 0.3.0~),
+ python3-ufl (>= 2022.1.0~),
+ python3-basix (>= 0.4.1~),
  python3-numpy,
  ${python3:Depends},
  ${misc:Depends}

## fenics-ffcx 0.5.0

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(ufcx VERSION 0.4.2 DESCRIPTION "UFCx interface header for finite element kernels"
+project(ufcx VERSION 0.5.0 DESCRIPTION "UFCx interface header for finite element kernels"
   LANGUAGES C
   HOMEPAGE_URL https://github.com/fenics/ffcx)
 include(GNUInstallDirs)

=== debian/changelog ===
fenics-ffcx (1:0.5.0-3) unstable; urgency=medium

  * debian patch fix_constant_expression_PR532.patch applies upstream
    PR#532 to fix handling of Constant expressions
  * multiarch fixes applied
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Feb 2023 01:34:54 +0100

fenics-ffcx (1:0.5.0-2) unstable; urgency=medium

  * upload ffcx 0.5 to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Sep 2022 00:09:31 +0200

fenics-ffcx (1:0.5.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - update versioned Depends: python3-basix (>= 0.5.0~),
      python3-ufl (>= 2022.2.0~)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2022 15:24:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  dh-python,
  pybuild-plugin-pyproject,
  python3-all-dev (>= 3.7),
- python3-basix (>= 0.4.1~),
- python3-ufl (>= 2022.1.0~),
+ python3-basix (>= 0.5.0~),
+ python3-ufl (>= 2022.2.0~),
  python3-pytest,
  python3-cffi,
  python3-numpy,
@@ -18,7 +18,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics-ffcx.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics-ffcx
@@ -28,8 +28,8 @@
 Depends:
  python3-cffi,
  python3-dev,
- python3-ufl (>= 2022.1.0~),
- python3-basix (>= 0.4.1~),
+ python3-ufl (>= 2022.2.0~),
+ python3-basix (>= 0.5.0~),
  python3-numpy,
  ${python3:Depends},
  ${misc:Depends}
@@ -54,6 +54,7 @@
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
 Suggests: python3-ffcx
+Multi-Arch: foreign
 Description: next-gen compiler for finite element variational forms (docs)
  The FEniCS Form Compiler FFC provides state-of-the-art automatic and
  efficient evaluation of general multilinear forms (variational

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ffcx
export PYBUILD_DISABLE=test
#export PYBUILD_TEST_ARGS={dir}/test
#export PYBUILD_TEST_PYTEST=1

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/\+dfsg.*$$//p')

FENICS_RELEASE_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)
FENICS_MAJOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
FENICS_MINOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
FENICS_VERSION=$(FENICS_MAJOR_VERSION).$(FENICS_MINOR_VERSION)
FENICS_NEXT_VERSION=$(FENICS_MAJOR_VERSION).$(shell echo $$(( $(FENICS_MINOR_VERSION) + 1 )) )

USCAN_DESTDIR := $(CURDIR)

PYTHON_BASE_SCRIPT="import sys; base=list(filter( lambda p: p.startswith('/usr/lib/python') and p.endswith('/dist-packages'), sys.path ))[0]; sys.stdout.write(base)"
PYTHON3_MODULE_BASE := $(shell python3 -c $(PYTHON_BASE_SCRIPT))

PY3VER_DEFAULT := $(shell py3versions -dv)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_compress:
	dh_compress -X.py -X.ufl

override_dh_clean:
	dh_clean ffcx/git_commit_hash.py test/*.pdf test/*.h test/*.c test/compile-cache/
	rm -rf *.egg-info

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc clean
endif

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-ffcx/usr/lib/python$(PY3VER_DEFAULT)/dist-packages:${PYTHONPATH} $(MAKE) -C doc html man
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_python3:
	cd test; \
	PYTHONPATH=$(CURDIR)/debian/python3-ffcx/usr/lib/python$(PY3VER_DEFAULT)/dist-packages:${PYTHONPATH} \
	  PATH=$(CURDIR)/debian/python3-ffcx/usr/bin:$(PATH) \
	  pytest-3
	dh_python3
endif

override_dh_gencontrol:
	dh_gencontrol -- -Vfenics:Upstream-Version=$(FENICS_VERSION) -Vfenics:Next-Upstream-Version=$(FENICS_NEXT_VERSION)~

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: pytest-3
+Test-Command: pytest-3 test
 Depends: python3-ffcx,
 	 python3-dev,
 	 python3-pytest,

## fenics-ffcx 0.6.0

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.19)
 
-project(ufcx VERSION 0.5.0 DESCRIPTION "UFCx interface header for finite element kernels"
+project(ufcx VERSION 0.6.0 DESCRIPTION "UFCx interface header for finite element kernels"
   LANGUAGES C
   HOMEPAGE_URL https://github.com/fenics/ffcx)
 include(GNUInstallDirs)
@@ -23,7 +23,7 @@
 include(CMakePackageConfigHelpers)
 write_basic_package_version_file("${PROJECT_NAME}ConfigVersion.cmake"
                                  VERSION ${PROJECT_VERSION}
-                                 COMPATIBILITY SameMinorVersion)
+                                 COMPATIBILITY AnyNewerVersion)
 configure_package_config_file("${PROJECT_NAME}Config.cmake.in" "${PROJECT_NAME}Config.cmake"
   INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/cmake)
 install(EXPORT ${PROJECT_NAME}_Targets FILE ${PROJECT_NAME}Targets.cmake

=== debian/changelog ===
fenics-ffcx (1:0.6.0-2) unstable; urgency=medium

  * drop debian patch fix_constant_expression_PR532.patch
    (applied in ffcx 0.6.0)

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jun 2023 00:24:01 +0200

fenics-ffcx (1:0.6.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - versioned Depends: python3-ufl (>= 2023.1.0~),
      python3-basix (>= 0.6.0~)
  * python-ffcx-doc: Add Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jan 2023 02:20:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  dh-python,
  pybuild-plugin-pyproject,
  python3-all-dev (>= 3.7),
- python3-basix (>= 0.5.0~),
- python3-ufl (>= 2022.2.0~),
+ python3-basix (>= 0.6.0~),
+ python3-ufl (>= 2023.1.0~),
  python3-pytest,
  python3-cffi,
  python3-numpy,
@@ -28,8 +28,8 @@
 Depends:
  python3-cffi,
  python3-dev,
- python3-ufl (>= 2022.2.0~),
- python3-basix (>= 0.5.0~),
+ python3-ufl (>= 2023.1.0~),
+ python3-basix (>= 0.6.0~),
  python3-numpy,
  ${python3:Depends},
  ${misc:Depends}

## fenics-ffcx 0.7.0

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.19)
 
-project(ufcx VERSION 0.6.0 DESCRIPTION "UFCx interface header for finite element kernels"
+project(ufcx VERSION 0.7.0 DESCRIPTION "UFCx interface header for finite element kernels"
   LANGUAGES C
   HOMEPAGE_URL https://github.com/fenics/ffcx)
 include(GNUInstallDirs)

=== debian/changelog ===
fenics-ffcx (1:0.7.0-3) unstable; urgency=medium

  * python3-ffcx Depends: python3-setuptools
    (needed for cffi to work on Python 3.12)

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Feb 2024 10:05:06 +0100

fenics-ffcx (1:0.7.0-2) unstable; urgency=medium

  * upload ffcx 0.7 to unstable

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Oct 2023 08:55:12 +0100

fenics-ffcx (1:0.7.0-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch logging_PR554.patch
    - Depends: python3-basix (>= 0.7.0~),
      python3-ufl (>= 2023.2.0~)
  * debian/copyright: code generation templates moved to C subdir
    adding basix_custom_element_template.py (public domain)
  * dh_clean override cleans test object files test/*.o and *.so

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Oct 2023 01:58:17 +0200

fenics-ffcx (1:0.6.0-3) unstable; urgency=medium

  * debian patch logging_PR554.patch applies upstream PR#554 to fix
    handling of log levels

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 Sep 2023 00:57:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  dh-python,
  pybuild-plugin-pyproject,
  python3-all-dev (>= 3.7),
- python3-basix (>= 0.6.0~),
- python3-ufl (>= 2023.1.0~),
+ python3-basix (>= 0.7.0~),
+ python3-ufl (>= 2023.2.0~),
  python3-pytest,
  python3-cffi,
  python3-numpy,
@@ -28,9 +28,10 @@
 Depends:
  python3-cffi,
  python3-dev,
- python3-ufl (>= 2023.1.0~),
- python3-basix (>= 0.6.0~),
+ python3-ufl (>= 2023.2.0~),
+ python3-basix (>= 0.7.0~),
  python3-numpy,
+ python3-setuptools,
  ${python3:Depends},
  ${misc:Depends}
 Description: next-gen compiler for finite element variational forms (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	dh_compress -X.py -X.ufl
 
 override_dh_clean:
-	dh_clean ffcx/git_commit_hash.py test/*.pdf test/*.h test/*.c test/compile-cache/
+	dh_clean ffcx/git_commit_hash.py test/*.pdf test/*.h test/*.c test/*.o test/*.so test/compile-cache/
 	rm -rf *.egg-info
 
 override_dh_auto_clean:

## fenics-ffcx 0.8.0

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.19)
 
-project(ufcx VERSION 0.7.0 DESCRIPTION "UFCx interface header for finite element kernels"
+project(ufcx VERSION 0.8.0 DESCRIPTION "UFCx interface header for finite element kernels"
   LANGUAGES C
   HOMEPAGE_URL https://github.com/fenics/ffcx)
 include(GNUInstallDirs)

=== debian/changelog ===
fenics-ffcx (1:0.8.0-1) unstable; urgency=medium

  * New upstream release 0.8.0
  * Reinstate test_cmdline.py::test_visualise. 
  * Build-Depends and Depends on python3-ufl >= 2024.1.0~
    and python3-basix >= 0.8.0~
  * Add Francesco Ballarin to uploaders
  * Drop python3-pybind11 from test dependencies
  * Run autopkgtest on all available python versions

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 25 Apr 2024 09:26:29 +0000

fenics-ffcx (1:0.8.0~git20240313.06957db-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot containing a preview of v0.8.0 
  * Build-Depends: require python3-basix and python3-ufl from experimental
  * Temporarily skip test_cmdline.py::test_visualise until transition from
    graphviz 2.42 to 10 is completed in experimental. graphviz 10 seems to be
    missing the backend for pdf export.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 11 Apr 2024 07:15:21 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>
+Uploaders:
+ Drew Parsons <dparsons@debian.org>,
+ Francesco Ballarin <francesco.ballarin@unicatt.it>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  pybuild-plugin-pyproject,
  python3-all-dev (>= 3.7),
- python3-basix (>= 0.7.0~),
- python3-ufl (>= 2023.2.0~),
+ python3-basix (>= 0.8.0~),
+ python3-ufl (>= 2024.1.0~),
  python3-pytest,
  python3-cffi,
  python3-numpy,
@@ -28,8 +30,8 @@
 Depends:
  python3-cffi,
  python3-dev,
- python3-ufl (>= 2023.2.0~),
- python3-basix (>= 0.7.0~),
+ python3-ufl (>= 2024.1.0~),
+ python3-basix (>= 0.8.0~),
  python3-numpy,
  python3-setuptools,
  ${python3:Depends},

## fenics-ffcx 0.9.0

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.19)
 
-project(ufcx VERSION 0.8.0 DESCRIPTION "UFCx interface header for finite element kernels"
+project(ufcx VERSION 0.9.0 DESCRIPTION "UFCx interface header for finite element kernels"
   LANGUAGES C
   HOMEPAGE_URL https://github.com/fenics/ffcx)
 include(GNUInstallDirs)
@@ -9,6 +9,7 @@
 message("Test hash: ${UFCX_HASH}")
 
 add_library(${PROJECT_NAME} INTERFACE)
+target_compile_features(${PROJECT_NAME} INTERFACE c_std_17)
 add_library(${PROJECT_NAME}::${PROJECT_NAME} ALIAS ${PROJECT_NAME})
 target_include_directories(${PROJECT_NAME}
   INTERFACE $<BUILD_INTERFACE:${${PROJECT_NAME}_SOURCE_DIR}/include>
@@ -39,4 +40,3 @@
 # Configure and install pkgconfig file
 configure_file(ufcx.pc.in ufcx.pc @ONLY)
 install(FILES ${PROJECT_BINARY_DIR}/ufcx.pc DESTINATION ${CMAKE_INSTALL_DATADIR}/pkgconfig)
-

=== debian/changelog ===
fenics-ffcx (1:0.9.0-3) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Remove runtime dependency on python3-setuptools
  * Fix Team name

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 Oct 2025 11:27:52 +0200

fenics-ffcx (1:0.9.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 05 Nov 2024 10:29:33 +0000

fenics-ffcx (1:0.9.0-1exp1) experimental; urgency=medium

  * New upstream release 0.9.0.
  * Squash whitespaces in changelog.
  * Build-Depends and Depends on FEniCSx 0.9.0 components, namely
    python3-basix >= 0.9.0~ and python3-ufl >= 2024.2.0~

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 20 Oct 2024 13:51:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: fenics-ffcx
 Section: python
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Drew Parsons <dparsons@debian.org>,
  Francesco Ballarin <francesco.ballarin@unicatt.it>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all-dev (>= 3.7),
- python3-basix (>= 0.8.0~),
- python3-ufl (>= 2024.1.0~),
+ python3-basix (>= 0.9.0~),
+ python3-ufl (>= 2024.2.0~),
  python3-pytest,
  python3-cffi,
  python3-numpy,
@@ -20,7 +20,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics-ffcx.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics-ffcx
@@ -30,10 +30,9 @@
 Depends:
  python3-cffi,
  python3-dev,
- python3-ufl (>= 2024.1.0~),
- python3-basix (>= 0.8.0~),
+ python3-basix (>= 0.9.0~),
+ python3-ufl (>= 2024.2.0~),
  python3-numpy,
- python3-setuptools,
  ${python3:Depends},
  ${misc:Depends}
 Description: next-gen compiler for finite element variational forms (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 PY3VER_DEFAULT := $(shell py3versions -dv)
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_compress:
 	dh_compress -X.py -X.ufl

=== debian/tests/control ===
Test-Command: for pyver in `py3versions -sv`; do python$pyver -m pytest test; done
Depends: python3-ffcx,
	 python3-dev,
	 python3-pytest,
	 python3-pip,
	 python3-pygraphviz,
	 python3-wheel,
	 cmake,
	 libboost-math-dev,
	 @builddeps@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/FEniCS/ffcx/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## fenics-ffcx 0.10.1

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.19)
 
-project(ufcx VERSION 0.9.0 DESCRIPTION "UFCx interface header for finite element kernels"
+project(ufcx VERSION 0.10.0 DESCRIPTION "UFCx interface header for finite element kernels"
   LANGUAGES C
   HOMEPAGE_URL https://github.com/fenics/ffcx)
 include(GNUInstallDirs)

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = FEniCSFormCompilerX
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
fenics-ffcx (1:0.10.1-1exp1) experimental; urgency=medium

  * New upstream release
    - versioned Depends: python3-basix (>= 0.10.0~),
      python3-ufl (>= 2025.2.0~)
  * update name of test cache to remove with dh_clean
  * update debian/copyright: only ffcx/codegeneration/ufcx.h is
    declared under the UNLICENCE (public-domain) licence
    https://unlicense.org/

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Nov 2025 14:32:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all-dev (>= 3.7),
- python3-basix (>= 0.9.0~),
- python3-ufl (>= 2024.2.0~),
+ python3-basix (>= 0.10.0~),
+ python3-ufl (>= 2025.2.0~),
  python3-pytest,
  python3-cffi,
  python3-numpy,
@@ -30,8 +30,8 @@
 Depends:
  python3-cffi,
  python3-dev,
- python3-basix (>= 0.9.0~),
- python3-ufl (>= 2024.2.0~),
+ python3-basix (>= 0.10.0~),
+ python3-ufl (>= 2025.2.0~),
  python3-numpy,
  ${python3:Depends},
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	dh_compress -X.py -X.ufl
 
 override_dh_clean:
-	dh_clean ffcx/git_commit_hash.py test/*.pdf test/*.h test/*.c test/*.o test/*.so test/compile-cache/
+	dh_clean ffcx/git_commit_hash.py test/*.pdf test/*.h test/*.c test/*.o test/*.so test/ffcx-cache-*/
 	rm -rf *.egg-info
 
 override_dh_auto_clean:
@@ -58,7 +58,3 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vfenics:Upstream-Version=$(FENICS_VERSION) -Vfenics:Next-Upstream-Version=$(FENICS_NEXT_VERSION)~
-
-.PHONY: get-orig-source
-get-orig-source:
-	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## fenics-ffcx 0.10.1.post0

=== debian/changelog ===
fenics-ffcx (1:0.10.1.post0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francesco Ballarin <ballarin@debian.org>  Wed, 11 Feb 2026 14:59:49 +0000

fenics-ffcx (1:0.10.1.post0-1~exp1) experimental; urgency=medium

  * Update to 0.10.1.post0 post release.
    - The original release 0.10.1 did not bump the version number in
      pyproject.toml
  * Update d/watch to version 5, GitHub template, to get post release tag.
  * Update F. Ballarin's email address.
  * Standards-Version: 4.7.3 (routine-update)

 -- Francesco Ballarin <ballarin@debian.org>  Sun, 08 Feb 2026 09:17:50 +0000

fenics-ffcx (1:0.10.1-3) unstable; urgency=medium

  * debian/tests Depends: python3-all-dev
    to test all supported python versions
  * s390x: skip test_ds_prism[float64], see upstream Issue#815

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Dec 2025 19:12:43 +0000

fenics-ffcx (1:0.10.1-2) unstable; urgency=medium

  * upload ffcx 0.10 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Dec 2025 10:03:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Drew Parsons <dparsons@debian.org>,
- Francesco Ballarin <francesco.ballarin@unicatt.it>
+ Francesco Ballarin <ballarin@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -20,7 +20,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics-ffcx.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics-ffcx

=== debian/tests/control ===
Tests: test-ffcx
Depends: python3-ffcx,
	 python3-all-dev,
	 python3-pytest,
	 python3-pip,
	 python3-pygraphviz,
	 python3-wheel,
	 cmake,
	 libboost-math-dev,
	 @builddeps@

=== debian/watch ===
Version: 5

Template: GitHub
Owner: FEniCS
Project: ffcx
